|
|
|
|
|
|
|
|
|
|
xen-ppc-devel
[XenPPC] [pushed]script to publish pushes, until we get it automated
changeset: 9645:85ea9f80f403
user: jimix@xxxxxxxxxxxxxxxxxxxxx
date: Mon Mar 27 15:43:08 2006 -0500
summary: script to publish pushes, until we get it automated
diff -r 347b0f87cbd3 -r 85ea9f80f403 tools/misc/hg-push-mail.sh
--- /dev/null Thu Jan 1 00:00:00 1970 +0000
+++ b/tools/misc/hg-push-mail.sh Mon Mar 27 15:43:08 2006 -0500
@@ -0,0 +1,27 @@
+#! /bin/bash
+#
+#
+#set -x
+
+mailto='xen-ppc-devel@xxxxxxxxxxxxxxxxxxx'
+
+if [ -z "$1" ]; then
+ echo "usage $0 <cset id>"
+ exit 1;
+fi
+
+while [ -n "$1" ]; do
+ cset=$1
+ tmp=/tmp/hg.$$.$cset
+
+ if ! hg log -p -r $cset > $tmp ; then
+ echo "no changeset: $cset"
+ exit 1;
+ fi
+ sub=$(sed -ne 's/^summary: *\(.*\)/\1/p' $tmp)
+ mail -s "[pushed]${sub}" "$mailto" < $tmp
+
+ rm $tmp
+
+ shift;
+done
_______________________________________________
Xen-ppc-devel mailing list
Xen-ppc-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-ppc-devel
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [XenPPC] [pushed]script to publish pushes, until we get it automated,
Jimi Xenidis <=
|
|
|
|
|